SDL_GetJoystickButton(3)

NAME
SDL_GetJoystickButton - Get the current state of a button on a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

bool SDL_GetJoystickButton(SDL_Joystick *joystick, int button);

FUNCTION PARAMETERS

joystick
    an SDL_Joystick structure containing joystick information.

button
    the button index to get the state from; indices start at index 0.

RETURN VALUE
Returns true if the button is pressed, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumJoystickButtons(3)